package ink.wgink.module.activiti.pojo.vos.oa.page;

/**
 * @ClassName: FieldControlVO
 * @Description: 字段
 * @Author: wanggeng
 * @Date: 2022/4/20 14:59
 * @Version: 1.0
 */
public class FieldVO {

    private String fieldName;
    private Integer isEditable;
    private Integer isVisible;
    private String editHistory;
    private String autoBackFill;

    public String getFieldName() {
        return fieldName == null ? "" : fieldName.trim();
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public Integer getIsEditable() {
        return isEditable == null ? 0 : isEditable;
    }

    public void setIsEditable(Integer isEditable) {
        this.isEditable = isEditable;
    }

    public Integer getIsVisible() {
        return isVisible == null ? 0 : isVisible;
    }

    public void setIsVisible(Integer isVisible) {
        this.isVisible = isVisible;
    }

    public String getEditHistory() {
        return editHistory == null ? "" : editHistory.trim();
    }

    public void setEditHistory(String editHistory) {
        this.editHistory = editHistory;
    }

    public String getAutoBackFill() {
        return autoBackFill == null ? "" : autoBackFill.trim();
    }

    public void setAutoBackFill(String autoBackFill) {
        this.autoBackFill = autoBackFill;
    }
}
